/*
*  Copyright 2019-2020 Zheng Jie
*
*  Licensed under the Apache License, Version 2.0 (the "License");
*  you may not use this file except in compliance with the License.
*  You may obtain a copy of the License at
*
*  http://www.apache.org/licenses/LICENSE-2.0
*
*  Unless required by applicable law or agreed to in writing, software
*  distributed under the License is distributed on an "AS IS" BASIS,
*  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
*  See the License for the specific language governing permissions and
*  limitations under the License.
*/
package me.zhengjie.modules.dm.envmonitor.historymodbusdata.domain;

import com.alibaba.fastjson.annotation.JSONField;
import com.alibaba.fastjson.serializer.ToStringSerializer;
import lombok.Data;
import cn.hutool.core.bean.BeanUtil;
import io.swagger.annotations.ApiModelProperty;
import cn.hutool.core.bean.copier.CopyOptions;
import javax.persistence.*;
import javax.validation.constraints.*;
import java.io.Serializable;
import java.util.Date;

/**
* @website https://el-admin.vip
* @description /
* @author wld
* @date 2022-05-24
**/
@Entity
@Data
@Table(name="dm_env_history_modbus_data")
public class DmEnvHistoryModbusData implements Serializable {

    @Id
    @Column(name = "id")
    @ApiModelProperty(value = "主键")
    @JSONField(serializeUsing = ToStringSerializer.class)
    private Long id;

    @Column(name = "CHO")
    @ApiModelProperty(value = "cho")
    private String cho;

    @Column(name = "CO2")
    @ApiModelProperty(value = "co2")
    private String co2;

    @Column(name = "H")
    @ApiModelProperty(value = "h")
    private String h;

    @Column(name = "PM10")
    @ApiModelProperty(value = "pm10")
    private String pm10;

    @Column(name = "PM25")
    @ApiModelProperty(value = "pm25")
    private String pm25;

    @Column(name = "T")
    @ApiModelProperty(value = "t")
    private String t;

    @Column(name = "VOC")
    @ApiModelProperty(value = "voc")
    private String voc;

    @Column(name = "device_identifier")
    @ApiModelProperty(value = "关联对象id")
    @JSONField(serializeUsing = ToStringSerializer.class)
    private Long deviceIdentifier;

    @Column(name = "create_time")
    @ApiModelProperty(value = "时间")
    private Date createTime;

    public void copy(DmEnvHistoryModbusData source){
        BeanUtil.copyProperties(source,this, CopyOptions.create().setIgnoreNullValue(true));
    }
}