/*
*  Copyright 2019-2020 Zheng Jie
*
*  Licensed under the Apache License, Version 2.0 (the "License");
*  you may not use this file except in compliance with the License.
*  You may obtain a copy of the License at
*
*  http://www.apache.org/licenses/LICENSE-2.0
*
*  Unless required by applicable law or agreed to in writing, software
*  distributed under the License is distributed on an "AS IS" BASIS,
*  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
*  See the License for the specific language governing permissions and
*  limitations under the License.
*/
package me.zhengjie.modules.dm.envmonitor.monitorobject.service.dto;

import lombok.Data;
import me.zhengjie.modules.dm.floor.domain.DmFloor;

import java.sql.Timestamp;
import java.io.Serializable;

/**
* @website https://el-admin.vip
* @description /
* @author lr
* @date 2022-05-19
**/
@Data
public class DmEnvMonitorObjectDto implements Serializable {

    /**  主键 */
    private Long id;

    /** 建筑名称 */
    private String constructName;

    /** 创建者 */
    private String createBy;

    /** 更新者 */
    private String updateBy;

    /** 创建时间 */
    private Timestamp createTime;

    /** 更新时间 */
    private Timestamp updateTime;

    /** 设备编号 */
    private String deviceCode;

    /** 对象名称 */
    private String objectName;

    /** GIS坐标 */
    private String gis;

    /** 所属楼层 */
    private DmFloor dmFloor;

    /** 位置 */
    private String position;
}