/*
*  Copyright 2019-2020 Zheng Jie
*
*  Licensed under the Apache License, Version 2.0 (the "License");
*  you may not use this file except in compliance with the License.
*  You may obtain a copy of the License at
*
*  http://www.apache.org/licenses/LICENSE-2.0
*
*  Unless required by applicable law or agreed to in writing, software
*  distributed under the License is distributed on an "AS IS" BASIS,
*  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
*  See the License for the specific language governing permissions and
*  limitations under the License.
*/
package me.zhengjie.modules.dm.envmonitor.peptdevice.service.dto;

import lombok.Data;
import java.sql.Timestamp;
import java.io.Serializable;

/**
* @website https://el-admin.vip
* @description /
* @author shuai.huang
* @date 2021-03-30
**/
@Data
public class DmEnvPeptDeviceDto implements Serializable {

    /** 主键 */
    private Long id;

    /** 设备编号 */
    private String deviceIdentifier;

    /** 设备名称 */
    private String deviceName;

    /** 参数名称 */
    private String parmName;

    /** 参数值 */
    private String parmValue;

    /** 设备状态 */
    private Boolean statue;

    /** 电流 */
    private String current;

    /** 电压 */
    private String voltage;

    /** 创建人 */
    private String createBy;

    /** 修改人 */
    private String updateBy;

    /** 创建时间 */
    private Timestamp createTime;

    /** 修改时间 */
    private Timestamp updateTime;
}