/*
*  Copyright 2019-2020 Zheng Jie
*
*  Licensed under the Apache License, Version 2.0 (the "License");
*  you may not use this file except in compliance with the License.
*  You may obtain a copy of the License at
*
*  http://www.apache.org/licenses/LICENSE-2.0
*
*  Unless required by applicable law or agreed to in writing, software
*  distributed under the License is distributed on an "AS IS" BASIS,
*  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
*  See the License for the specific language governing permissions and
*  limitations under the License.
*/
package me.zhengjie.modules.dm.envmonitor.peptdevicenew.service.dto;

import lombok.Data;
import java.sql.Timestamp;
import java.io.Serializable;
import com.alibaba.fastjson.annotation.JSONField;
import com.alibaba.fastjson.serializer.ToStringSerializer;
import me.zhengjie.base.BaseDTO;
import me.zhengjie.modules.dm.envmonitor.icdevicenew.domain.DmEnvIcDeciveNew;

/**
* @website https://el-admin.vip
* @description /
* @author wanglongda
* @date 2022-05-13
**/
@Data
public class DmEnvPeptDeciveNewDto extends BaseDTO implements Serializable {

    /** 主键 */
    /** 防止精度丢失 */
    @JSONField(serializeUsing = ToStringSerializer.class)
    private Long id;

    /** 设备编码 */
    private String deviceIdentifier;

    /** 设备名称 */
    private String deviceName;

    /** 状态 */
    private String status;

    /** 所在楼层 */
    private Integer deviceFloor;

    /** 所在位置 */
    private String deviceAddress;

    /** 关联通信设备id */
    private DmEnvIcDeciveNew dmEnvIcDeciveNew;
}