/*
*  Copyright 2019-2020 Zheng Jie
*
*  Licensed under the Apache License, Version 2.0 (the "License");
*  you may not use this file except in compliance with the License.
*  You may obtain a copy of the License at
*
*  http://www.apache.org/licenses/LICENSE-2.0
*
*  Unless required by applicable law or agreed to in writing, software
*  distributed under the License is distributed on an "AS IS" BASIS,
*  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
*  See the License for the specific language governing permissions and
*  limitations under the License.
*/
package me.zhengjie.modules.dm.modbus.drive.service.dto;

import lombok.Data;
import java.sql.Timestamp;
import java.io.Serializable;
import java.util.List;
import java.util.Set;

import com.alibaba.fastjson.annotation.JSONField;
import com.alibaba.fastjson.serializer.ToStringSerializer;
import me.zhengjie.base.BaseDTO;
import me.zhengjie.modules.dm.modbus.channel.domain.DmModbusChannel;

/**
* @website https://el-admin.vip
* @description /
* @author wld
* @date 2022-05-20
**/
@Data
public class DmModbusDriveDto extends BaseDTO implements Serializable {

    /** 驱动id */
    /** 防止精度丢失 */
    @JSONField(serializeUsing = ToStringSerializer.class)
    private Long driveId;

    /** 驱动名称 */
    private String driveName;

    /** 名称 */
    private String name;

    /** 轮询时间(毫秒) */
    @JSONField(serializeUsing = ToStringSerializer.class)
    private Long pollTime;
    /** 关联的信道  */
    private Set<DmModbusChannel> channels;
}