/*
*  Copyright 2019-2020 Zheng Jie
*
*  Licensed under the Apache License, Version 2.0 (the "License");
*  you may not use this file except in compliance with the License.
*  You may obtain a copy of the License at
*
*  http://www.apache.org/licenses/LICENSE-2.0
*
*  Unless required by applicable law or agreed to in writing, software
*  distributed under the License is distributed on an "AS IS" BASIS,
*  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
*  See the License for the specific language governing permissions and
*  limitations under the License.
*/
package me.zhengjie.modules.dm.user.service.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import me.zhengjie.base.BaseDTO;
import me.zhengjie.modules.system.service.dto.DeptSmallDto;
import me.zhengjie.modules.system.service.dto.JobSmallDto;
import me.zhengjie.modules.system.service.dto.RoleSmallDto;

import javax.persistence.Column;
import java.sql.Timestamp;
import java.io.Serializable;
import java.util.Set;

/**
* @website https://el-admin.vip
* @description /
* @author shiguangji
* @date 2021-03-09
**/
@Data
public class DmUserDto extends BaseDTO implements Serializable {

    private String id;

    /** 姓名 */
    private String name;

    /** 性别 */
    private String sex;

    /** 联系方式 */
    private String contacts;

    /** 邮箱 */
    private String email;

    /** 角色集合 */
    private Set<RoleSmallDto> roles;

    /** 岗位集合 */
    private Set<JobSmallDto> jobs;

    /** 部门 */
    private DeptSmallDto dept;

    /** 是否是审批人 */
    private Boolean isApprover;

    private String usertype;

    private String enabled;

    private String picture;

    private String userNumber;

    private String remark;

    private String status;

    private String company;

    private String cardId;

}